acfccf <- function(fit,X,i=NA,setmfrow=TRUE,text=NA)
  {
    r <- fit$residuals
    if(length(fit$na.action) > 0){ X <- X[-fit$na.action,] }
    ## Take a period
    if(!is.na(i[1]))
      {
        r <- r[i]
        X <- X[i,]
      }
    
    ##
    par(mar=c(3,3,3,1), mgp=c(2,0.6,0), tcl=-0.4)
    if(setmfrow) par(mfrow=c(1,3))
    ##
    acf(r,lag.max=50,main="")
    title(main="ACF($\\hat{\\epsilon}$)",cex.main=1.5,line=1)
    if(!is.na(text)) mtext(text,line=-2,col=2)
    ##
    ccf(r,X[,"Te"],lag.max=100,xlim=c(1,50),ylab="CCF",ylim=c(-0.5,0.5),main="")
    title(main="CCF($\\hat{\\epsilon}$,$T_\\mathrm{e}$)",cex.main=1.5,line=1)
    ccf(r,X[,"Isol"],lag.max=100,xlim=c(1,50),ylab="CCF",main="",ylim=c(-0.5,0.5))
    title(main="CCF($\\hat{\\epsilon}$,$I_\\mathrm{sol}$)",cex.main=1.5,line=1)
    ##
    X$r <- r
    invisible(X)
  }
