frmlARX <- function(outName, inNames, p, orderInputs=p-1, inNonLagNames=NA, useIntercept=FALSE)
{
  ## Generate a formula for an ARX model of model order p
  ## Using the naming convention "X.l0" for non-lagged, "X.l1" for lagged one, etc.
  fml <- paste0(paste0(outName,".l0~",paste0(outName,".l",1:p,collapse="+")),"+",paste0(rep(paste0(inNames,".l"),each=orderInputs+1),0:orderInputs,collapse="+"))
  ## Add non lagged terms using the same naming convention
  if(!is.na(inNonLagNames[1])) fml <- paste0(fml,"+",paste0(paste0(inNonLagNames,".l0"),collapse="+"))
  ## If no intercept, then add +0 to the formula
  if(!useIntercept) fml <- paste0(fml,"+0")
  ## Return the formula
  return(fml)
}
