makeSplines <- function(X, splDegree, splNKnots, splName="Isol", plotsplines=FALSE, newdev=FALSE, nlags=1){
  X$sunAzimuth <- aoiSunAzimuthDeg(X$t-diff(X$t[1:2])/2, pg$latitude, pg$longitude)
  X$sunElevation <- aoiSunElevationDeg(X$t, pg$latitude, pg$longitude)

  ## The minmax range of sun azimuth for positive sun elevation
  spllim <- max(abs(pi - range(X$sunAzimuth[X$sunElevation>0])))
  splSunAzimuth <- pi - X$sunAzimuth
  splSunAzimuth[abs(splSunAzimuth)>spllim] <- NA
  ##
  require(splines)
  ## Play with splines
  ##spl <- bs(splSunAzimuth,knots=seq(-spllim,spllim,len=splNKnots+2)[-c(1,splNKnots+2)],degree=splDegree,Boundary.knots=c(-spllim*1.5,spllim*1.5),intercept=TRUE)
  spl <- bs(splSunAzimuth,knots=seq(-spllim,spllim,len=splNKnots+2)[-c(1,splNKnots+2)],degree=splDegree,Boundary.knots=c(-spllim,spllim),intercept=TRUE)
  ## Make the inputs
  ##spl <- spl[,2:(splNKnots+2)]
  spl <- as.data.frame(spl)
  names(spl) <- paste0("spl",1:ncol(spl))
  tmp <- spl * X[,splName]
  tmp[is.na(tmp)] <- 0
  ## ## Plot them
  if(newdev) dev.new()
  if(plotsplines)
    {
      plot(splSunAzimuth,spl[,1],type="n",ylim=range(spl,na.rm=TRUE),ylab="Base splines",xlab="Sun azimuth angle in rad.")
      for(i in 1:ncol(spl)) lines(splSunAzimuth,spl[,i],col=i)
    }
  ## Keep also the splines
  X <- cbind(X,spl)
  ## The splines
  if(!is.na(nlags))
    {
      for(i in 1:ncol(tmp))
        {
          X[,pst(splName,"Spl",i,".l",0:nlags)] <- lagMat(tmp[,paste0("spl",i)], lag=0:nlags)
        }
    }
  else
    {
      for(i in 1:ncol(tmp))
        {
          X[,pst(splName,"Spl",i)] <- tmp[,paste0("spl",i)]
        }
    }
  return(X)
}
