## Plot all with prefix
plotseries <- function(X,prefix,gridTs,...)
    {
        iseq <- grep(prefix,names(X))
#        browser()
        plot(X$t,X[,2],type="n",xlim=c(min(X$t),max(X$t)+diff(range(X$t))*0.25),ylim=range(X[,iseq],na.rm=TRUE),yaxt="n",bty="n",xlab="",ylab="")
        axis(2,pretty(scalerange(X[,iseq],0.2)))
        ## Grid
        if(!is.na(gridTs)) abline(v=seq(trunc(min(X$t),units="days"),max(X$t),by=gridTs), col="grey85")
        box()
        ##
        for(i in 1:length(iseq))
            {
                lines( X$t,  X[,iseq[i]], col=i,...)
            }
        rng <- do.call("rbind",lapply(1:length(iseq), function(i){paste(format(range(X[,iseq[i]], na.rm=TRUE), digits=2), collapse=" to ")}))
        legend("topright",paste0(names(X)[iseq],": ",rng),lty=1,col=1:length(iseq),...)
        invisible(iseq)
    }
