readSeries <- function(nameDatafile, Ts, selNames=NA)
  {
    ## Read data, X
    load(paste0("dataRRTB/",nameDatafile,".rda"))

    ## Do some renaming to match the notation used in the guidelines
    names(X)[names(X)=="Qi"] <- "Ph"
    names(X)[names(X)=="WV"] <- "Wv"
    names(X)[names(X)=="Gv"] <- "Isol"
    
    ## Resample to Ts, given in seconds, average values
    X <- resampleDF(X, Ts, startTime=X$t[1])

    ## Make signals
    ## Internal temperature
    if(length(grep("^Ti",names(X)))>0){ X$Ti <- (X$Ti.down+X$Ti.up)/2 }
    ## External temperature
    if(!("Te"%in%names(X))) X$Te <- (X$Te.down+X$Te.middle)/2

    ## Select only specified columns
    if(!is.na(selNames[1])){
      X <- X[,c("t",selNames)]
    }
    
    ## Return
    invisible(X)
  }
