sdeCache <- function(X,rerun)
  {
    dir.create("cacheFits", showWarnings=FALSE)
    ## Write the data.frame
    save(X,file="cacheFits/temp.rda")
    md5Data <- strsplit(system("md5sum cacheFits/temp.rda",intern=TRUE)," ")[[1]][1]
    ## Find the name of the model function
    calls <- as.character(sys.calls())
    ## Find the name of the model function
    modelFunName <- strsplit(calls[grep("^sde",calls)],"\\(")[[1]][1]
    ## Check if the model function file has changed
    fun <- eval(parse(text=modelFunName))
    save(fun, file="cacheFits/temp.rda")
    md5Fun <- strsplit(system("md5sum cacheFits/temp.rda",intern=TRUE)," ")[[1]][1]
    ## Save the fit with the cache name with the two md5sums
    fitCacheName <- paste0("cacheFits/",modelFunName,"_",md5Data,"_",md5Fun,".rda")
    if(!rerun)
      {
        if(fitCacheName %in% dir("cacheFits",full.names=TRUE))
          {
            load(fitCacheName)
            return(fit)
          }
      }
    return(fitCacheName)
  }
