###########################################################################
## Function for calculating the time constants and step response of the estimated transfer function of the given input
timeConstantsPhAsOutput <- function(fit, Ts=NA, outputName="^Ph", inputName="^Te", ylim=NA, plotStepResponse=TRUE){
  ## Index of AR coefficients in the fit
  iPhi <- grep(outputName, names(fit$coefficients))
  ## Calculate the roots of the characteristic polynomial
  roots <- polyroot(rev(c(1,-fit$coefficients[iPhi])))
  ## It is a Stable system
  abs(roots)  
  ## Time constants in seconds
  timeConstants <- Ts * -1/log(abs(roots))
  ## Print them
  ##    print(paste("Time constants in hours:", paste(format(Ts/3600*timeConstants,digits=3),collapse=", "))) 
  ## Return the time constants as calculated in seconds
  return(list(timeConstants = timeConstants))
}
